Bug 788006 - Review Request: ghc-temporary - portable temp file library
Review Request: ghc-temporary - portable temp file library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 787636
  Show dependency treegraph
 
Reported: 2012-02-07 03:24 EST by Jens Petersen
Modified: 2012-02-18 21:01 EST (History)
4 users (show)

See Also:
Fixed In Version: ghc-temporary-1.1.2.3-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-18 20:58:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michel: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2012-02-07 03:24:49 EST
Spec URL: http://petersen.fedorapeople.org/reviews/ghc-temporary/ghc-temporary.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/ghc-temporary/ghc-temporary-1.1.2.3-1.fc16.src.rpm
Description: 
A small portable library based on the Cabal library's temporary file and directory functions.

http://koji.fedoraproject.org/koji/taskinfo?taskID=3768095

This new library is needed by pandoc > 1.9.
Comment 1 Michel Alexandre Salim 2012-02-07 12:22:10 EST
Will do the review in a bit.
Comment 2 Michel Alexandre Salim 2012-02-08 11:24:41 EST
Everything looks good; APPROVED


* DONE Review [100%]
  - [X] Names [2/2]
    - [X] Package name
    - [X] Spec name
  - [X] Package version [2/2]
	http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Package_Versioning
    - [X] Version number
	  http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Version_Tag
    - [X] Release tag
	  http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Release_Tag
	  http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Pre-Release_packages
  - [X] Meets [[http://fedoraproject.org/wiki/Packaging/Guidelines][guidelines]]
  - [X] Source files match upstream
    b47b3db33766621927b577b53c1451c73af9448c  temporary-1.1.2.3.tar.gz
    b47b3db33766621927b577b53c1451c73af9448c  ../SOURCES/temporary-1.1.2.3.tar.gz
  - [X] [[http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries][No bundled libraries]]
  - [X] License [4/4]
    - [X] License is Fedora-approved
    - [X] No licensing conflict
    - [X] License field accurate
    - [X] License included iff packaged by upstream
  - [X] rpmlint [2/2]
    - [X] on src.rpm
      ghc-temporary.src: W: spelling-error %description -l en_US unixutils -> uninstalls
      ==> ignore this; false positive
    - [X] on x86_64.rpm
      ghc-temporary.x86_64: W: spelling-error %description -l en_US unixutils -> uninstalls
      ghc-temporary-devel.x86_64: W: spelling-error %description -l en_US unixutils -> uninstalls
      => likewise
  - [X] Language & locale [2/2]
    - [X] Spec in US English
    - [X] Spec legible
  - [X] Build [3/3]
    - [X] Koji results
      Rawhide: as posted by Jens
      F16: http://koji.fedoraproject.org/koji/taskinfo?taskID=3772605
    - [X] BRs complete
    - [X] Directory ownership
  - [X] Spec inspection [6/6]
    - [X] No duplicate files
    - [X] File permissions
    - [X] Filenames must be UTF-8
    - [X] Macro usage consistent
    - [X] Documentation [2/2]
      - [X] If large docs, separate -doc
      - [X] %doc files are non-essential
    - [X] Development [2/2]
      - [X] Headers in -devel
      - [X] -devel, -static requires main
Comment 3 Jens Petersen 2012-02-08 19:53:39 EST
Thank you for reviewing! :-)


New Package SCM Request
=======================
Package Name: ghc-temporary
Short Description: Portable temp file library
Owners: petersen
Branches: f17 f16 f15 el6
InitialCC: haskell-sig
Comment 4 Gwyn Ciesla 2012-02-09 08:05:22 EST
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-02-10 02:26:58 EST
ghc-temporary-1.1.2.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-temporary-1.1.2.3-1.fc16
Comment 6 Fedora Update System 2012-02-10 02:27:07 EST
ghc-temporary-1.1.2.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-temporary-1.1.2.3-1.fc15
Comment 7 Fedora Update System 2012-02-10 16:57:49 EST
ghc-temporary-1.1.2.3-1.fc16 has been pushed to the Fedora 16 testing repository.
Comment 8 Fedora Update System 2012-02-18 20:58:24 EST
ghc-temporary-1.1.2.3-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 9 Fedora Update System 2012-02-18 21:01:07 EST
ghc-temporary-1.1.2.3-1.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.